User Tag List

Page 1 of 3 1 2 3 LastLast
Results 1 to 10 of 22

Thread: Having issues exporting, any ideas (cannot find build.xml)

  1. #1
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export Module
    JoshMakesGames's Avatar
    Join Date
    Jul 2016
    Posts
    108
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)

    Having issues exporting, any ideas (cannot find build.xml)

    So, I've been having some issues with the android exporter, and I've been trying for a while to get it to work, but I've tried basically everything I can think of.

    Here's the error log, with some additional information.

    Buildfile: C:\Users\(my username)\AppData\Local\Temp\And4CFD.tmp\build.xml

    BUILD FAILED
    C:\Users\(my username)\AppData\Local\Temp\And4CFD.tmp\build.xml :83: Cannot find C:\Users\(my username)\New folder (2)\tools\ant\build.xml imported from C:\Users\(my username)\AppData\Local\Temp\And4CFD.tmp\build.xml

    Total time: 0 seconds

    It should be noted that I have Clickteam Fusion Developer 2.5 installed on the D: drive, as the C: drive is an SSD (which has a more limited amount of storage).

    Any help is appreciated, even if it's just pointing me in the right direction.

    Thanks for taking the time to read this!

  2. #2
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Fusion 2.5+ DLC (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Wodjanoi's Avatar
    Join Date
    Jun 2015
    Location
    Germany
    Posts
    652
    Mentioned
    5 Post(s)
    Tagged
    0 Thread(s)
    It seems that the build.xml is missing with your current setup.
    Check the links in this thread - there you can find some suggestions on how to get all necessary files:
    https://community.clickteam.com/threads/102074-Build-Failed-Android-SDK-and-JRE-are-installed

  3. #3
    Forum Moderator

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Perry's Avatar
    Join Date
    Dec 2013
    Location
    Watertown, WI
    Posts
    4,334
    Mentioned
    49 Post(s)
    Tagged
    0 Thread(s)

  4. #4
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export Module
    JoshMakesGames's Avatar
    Join Date
    Jul 2016
    Posts
    108
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by Wodjanoi View Post
    It seems that the build.xml is missing with your current setup.
    Check the links in this thread - there you can find some suggestions on how to get all necessary files:
    https://community.clickteam.com/threads/102074-Build-Failed-Android-SDK-and-JRE-are-installed
    I have a new error message, and I'm unsure where to go from here.

    Buildfile: C:\Users\(my username)\AppData\Local\Temp\AndFA17.tmp\build.xml

    -set-mode-check:

    -set-debug-files:

    -check-env:
    [checkenv] Android SDK Tools Revision 25.2.5
    [checkenv] Installed at D:\Users\(my username)\AppData\Local\Android\android-sdk

    -setup:
    [echo] Project Name: RuntimeAndroid
    [gettype] Project Type: Application

    -set-debug-mode:

    -debug-obfuscation-check:

    -pre-build:

    -build-setup:
    [getbuildtools] Using latest Build Tools: 27.0.3
    [echo] Resolving Build Target for RuntimeAndroid...

    BUILD FAILED
    D:\Users\(my username)\AppData\Local\Android\android-sdk\tools\ant\build.xml:538: Unable to resolve project target 'android-17'

    Total time: 0 seconds



    The Android Exporter generally appears to be a pain to set up. I really hope I can get it going soon.

  5. #5
    Forum Moderator

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Perry's Avatar
    Join Date
    Dec 2013
    Location
    Watertown, WI
    Posts
    4,334
    Mentioned
    49 Post(s)
    Tagged
    0 Thread(s)
    you have API 17 selected for the built. and you don't have API 17 installed.

  6. #6
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export Module
    JoshMakesGames's Avatar
    Join Date
    Jul 2016
    Posts
    108
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    I'm still having issues, but I feel like we're close to solving the problem. Hopefully, this will be the last time I have to post an error log.

    Buildfile: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\build.xml

    -set-mode-check:

    -set-debug-files:

    -check-env:
    [checkenv] Android SDK Tools Revision 25.2.5
    [checkenv] Installed at D:\Users\(my username)\AppData\Local\Android\android-sdk

    -setup:
    [echo] Project Name: RuntimeAndroid
    [gettype] Project Type: Application

    -set-debug-mode:

    -debug-obfuscation-check:

    -pre-build:

    -build-setup:
    [getbuildtools] Using latest Build Tools: 27.0.3
    [echo] Resolving Build Target for RuntimeAndroid...
    [gettarget] Project Target: Android 8.1.0
    [gettarget] API level: 27
    [echo] ----------
    [echo] Creating output directories if needed...
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\res
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\rsObj
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\rsLib s
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\gen
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\class es
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\dexed Libs
    [echo] ----------
    [echo] Resolving Dependencies for RuntimeAndroid...
    [dependency] Library dependencies:
    [dependency] No Libraries
    [dependency]
    [dependency] ------------------
    [echo] ----------
    [echo] Building Libraries with 'debug'...
    [subant] No sub-builds to iterate on

    -code-gen:
    [mergemanifest] Merging AndroidManifest files into one.
    [mergemanifest] Manifest merger disabled. Using project manifest only.
    [echo] Handling aidl files...
    [aidl] No AIDL files to compile.
    [echo] ----------
    [echo] Handling RenderScript files...
    [echo] ----------
    [echo] Handling Resources...
    [aapt] Generating resource IDs...
    [echo] ----------
    [echo] Handling BuildConfig class...
    [buildconfig] Generating BuildConfig class.

    -pre-compile:

    -compile:
    [javac] Compiling 388 source files to C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\class es
    [javac] error: Source option 1.5 is no longer supported. Use 1.6 or later.
    [javac] error: Target option 1.5 is no longer supported. Use 1.6 or later.

    BUILD FAILED
    D:\Users\(my username)\AppData\Local\Android\android-sdk\tools\ant\build.xml:716: The following error occurred while executing this line:
    D:\Users\(my username)\AppData\Local\Android\android-sdk\tools\ant\build.xml:730: Compile failed; see the compiler error output for details.

    Total time: 1 second

  7. #7
    Forum Moderator

    Fusion 2.5 MacFusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export ModuleMac Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)
    Perry's Avatar
    Join Date
    Dec 2013
    Location
    Watertown, WI
    Posts
    4,334
    Mentioned
    49 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by JoshMakesGames View Post
    I'm still having issues, but I feel like we're close to solving the problem. Hopefully, this will be the last time I have to post an error log.

    Buildfile: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\build.xml

    -set-mode-check:

    -set-debug-files:

    -check-env:
    [checkenv] Android SDK Tools Revision 25.2.5
    [checkenv] Installed at D:\Users\(my username)\AppData\Local\Android\android-sdk

    -setup:
    [echo] Project Name: RuntimeAndroid
    [gettype] Project Type: Application

    -set-debug-mode:

    -debug-obfuscation-check:

    -pre-build:

    -build-setup:
    [getbuildtools] Using latest Build Tools: 27.0.3
    [echo] Resolving Build Target for RuntimeAndroid...
    [gettarget] Project Target: Android 8.1.0
    [gettarget] API level: 27
    [echo] ----------
    [echo] Creating output directories if needed...
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\res
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\rsObj
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\rsLib s
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\gen
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\class es
    [mkdir] Created dir: C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\dexed Libs
    [echo] ----------
    [echo] Resolving Dependencies for RuntimeAndroid...
    [dependency] Library dependencies:
    [dependency] No Libraries
    [dependency]
    [dependency] ------------------
    [echo] ----------
    [echo] Building Libraries with 'debug'...
    [subant] No sub-builds to iterate on

    -code-gen:
    [mergemanifest] Merging AndroidManifest files into one.
    [mergemanifest] Manifest merger disabled. Using project manifest only.
    [echo] Handling aidl files...
    [aidl] No AIDL files to compile.
    [echo] ----------
    [echo] Handling RenderScript files...
    [echo] ----------
    [echo] Handling Resources...
    [aapt] Generating resource IDs...
    [echo] ----------
    [echo] Handling BuildConfig class...
    [buildconfig] Generating BuildConfig class.

    -pre-compile:

    -compile:
    [javac] Compiling 388 source files to C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\class es
    [javac] error: Source option 1.5 is no longer supported. Use 1.6 or later.
    [javac] error: Target option 1.5 is no longer supported. Use 1.6 or later.

    BUILD FAILED
    D:\Users\(my username)\AppData\Local\Android\android-sdk\tools\ant\build.xml:716: The following error occurred while executing this line:
    D:\Users\(my username)\AppData\Local\Android\android-sdk\tools\ant\build.xml:730: Compile failed; see the compiler error output for details.

    Total time: 1 second
    At work now, but are you using Android studio? If so, that's why.


    Sent from my SM-G955U using Tapatalk

  8. #8
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export Module
    JoshMakesGames's Avatar
    Join Date
    Jul 2016
    Posts
    108
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    I downloaded the Android tools from another Clickteam forum thread (pretty sure it was yours). I did, however, download Java's Development software straight from their website, so the only thing I can think of is that the new versions of Java's Development software might not be compatible with the old Android SDK. I find that rather unlikely though.

  9. #9
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,152
    Mentioned
    158 Post(s)
    Tagged
    3 Thread(s)
    Seems that you have an old version of java, can you confirm if this java 7 or lower?

    if so, move on to java 8 recommend latest update

    [javac] Compiling 388 source files to C:\Users\(my username)\AppData\Local\Temp\And137B.tmp\bin\class es
    [javac] error: Source option 1.5 is no longer supported. Use 1.6 or later.
    [javac] error: Target option 1.5 is no longer supported. Use 1.6 or later.
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  10. #10
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export Module
    JoshMakesGames's Avatar
    Join Date
    Jul 2016
    Posts
    108
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    I'm using version 9.0.1, so I don't believe that's the issue. I updated it just to make sure that wasn't the problem, and it still doesn't work. It gave me a slightly different error message.

    The segment of the error code that you referenced changed to this:

    [javac] Compiling 388 source files to C:\Users\(my username)\AppData\Local\Temp\AndCDF0.tmp\bin\class es
    [javac] warning: [options] source value 1.5 is obsolete and will be removed in a future release
    [javac] warning: [options] target value 1.5 is obsolete and will be removed in a future release

Page 1 of 3 1 2 3 LastLast

Similar Threads

  1. multiple sample issues when exporting to android
    By VinnieG in forum Android Export Module 2.5
    Replies: 2
    Last Post: 20th January 2017, 07:49 PM
  2. Where i can find build 252?
    By GamerH2 in forum Hardware Accelerated Runtime
    Replies: 4
    Last Post: 28th December 2016, 11:50 PM
  3. issues when exporting to flash
    By hemantam in forum SWF/Flash Export Module Version 2.0
    Replies: 2
    Last Post: 5th April 2010, 06:39 PM
  4. My program won't build. Can't find old transition.
    By Neonotso in forum Multimedia Fusion 2 - Technical Support
    Replies: 4
    Last Post: 2nd February 2007, 10:48 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •